import { createSSRApp } from "vue";
import { createRouter, createWebHistory } from "vue-router";
import GERoot, { routes } from "@/generative-energy/GERoot.tsx";
import { cssRegistry } from "@/util.ts";

createSSRApp(GERoot)
    .provide(cssRegistry, new Set())
    .use(createRouter({
        routes,
        history: createWebHistory("/generative-energy"),
    }))
    .mount("#app-root");
